The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Download YARA file request

Prev Next

Downloads a YARA file.

GET https://<etp_instance_addr>/api/v1/policies/policy_uuid/configuration/rules/yara/rulesets/ruleset_uuid/file

Required header:

x-fireeye-api-key: <key>—Specifies your personal API key.

Content-Type: multipart/form-data—Content-type of the request body.

Options

  • policy_uuid—Universally unique identifier (UUID) of the policy.

  • ruleset_uuid—UUID of the ruleset.

Example of the request

Values for ID and other fields are for illustration only.

GET https://etp.us.fireeye.com/api/v1/policies/6d92fac1-f8e6-11eb-993c-02a7fc9eb3d9/configuration/rules/yara/rulesets/dd03fbdd-5296-4b00-51b9-7ea2324150e3/file

Example of the response

The response is the YARA file.

cURL code sample: download YARA file

curl -k -XGET https://etp.us.fireeye.com/api/v1/policies/6d92fac1-f8e6-11eb-993c-02a7fc9eb3d9/configuration/rules/yara/rulesets/dd03fbdd-5296-4b00-51b9-7ea2324150e3/file -H 'x-fireeye-api-key: <feye-key>' -o ex.yara

This cURL sample includes the following options:

  • -X GET—This option changes the HTTP method to GET.

  • --header "Content-Type: multipart/form-data"—This header specifies that the server's response body is expected to be in multipart/form-data format.

  • --header 'x-fireeye-api-key: <feye-key>'—This header specifies your personal API key.

  • XGET https://etp.us.fireeye.com/api/v1/policies/6d92fac1-f8e6-11eb-993c-02a7fc9eb3d9/configuration/rules/yara/rulesets/dd03fbdd-5296-4b00-51b9-7ea2324150e3/file—The download YARA file URL. Replace etp.us.fireeye.com with the IP address of your Email Security — Cloud instance and 6d92fac1-f8e6-11eb-993c-02a7fc9eb3d9 with the UUID of the YARA policy.

Results

This example returns the YARA rule file.